/*
 * FILE:
 *   mouse_button.hpp
 *
 * PURPOSE:
 *   Enum representing available mouse buttons
 *
 * AUTHOR:
 *   Stephen Thompson, 2008
 *
 * COPYRIGHT:
 *   Public Domain.
 *
 */

#ifndef COERCRI_MOUSE_LISTENER_HPP
#define COERCRI_MOUSE_LISTENER_HPP

// Undefine MB_RIGHT (needed on windows apparently)
#ifdef MB_RIGHT
#undef MB_RIGHT
#endif

namespace Coercri {

    enum MouseButton {
        MB_LEFT,
        MB_RIGHT,
        MB_MIDDLE,
        MB_WHEEL_UP,
        MB_WHEEL_DOWN
    };
    
}

#endif
