/*
 * x_centre.hpp
 *
 * Handy routine to draw text centred at a given position
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef X_CENTRE_HPP
#define X_CENTRE_HPP

#include "coercri/gfx/font.hpp"
#include "coercri/gfx/gfx_context.hpp"

#include <string>

void XCentre(Coercri::GfxContext &gc, const Coercri::Font &font, int y, const std::string &text);

#endif
