/*
 * menu_screen.hpp
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef MENU_SCREEN_HPP
#define MENU_SCREEN_HPP

#include "screen.hpp"

#include <vector>
using namespace std;

class MenuScreenImpl;

class MenuScreen : public Screen {
public:
    MenuScreen() { }
    virtual bool start(KnightsGame &kg, shared_ptr<Coercri::Window> win, gcn::Gui &gui);
    virtual unsigned int getUpdateInterval() { return 250; }
    virtual void update();
private:
    shared_ptr<MenuScreenImpl> pimpl;
};

#endif
